Skip to main content
GET
/
public
/
v2
/
cash-sales
List CashSale records
curl --request GET \
  --url https://api.dualentry.com/public/v2/cash-sales/ \
  --header 'X-API-KEY: <api-key>'
{
  "items": [
    {
      "transaction_ids": [
        123
      ],
      "internal_id": 123,
      "number": 123,
      "items": [
        {
          "id": 123,
          "item_id": 123,
          "quantity": "<string>",
          "rate": "<string>",
          "position": 123,
          "memo": "<string>",
          "bank_or_undeposited_account_amount": "<string>",
          "net_amount": "<string>",
          "tax_amount": "<string>",
          "gross_amount": "<string>",
          "amount": "<string>",
          "classifications": [],
          "item_type": "<string>",
          "hsn_sac_code": "<string>",
          "tax": {
            "code": "<string>",
            "rate": "<string>",
            "amount": "<string>",
            "is_taxable": true,
            "tax_exempt_amount": "<string>",
            "vat_rate_id": 123,
            "gst_tax_rate_id": 123,
            "tax_components": [
              {
                "rate": "<string>",
                "amount": "<string>",
                "position": 123,
                "region": "<string>"
              }
            ],
            "amount_with_tax": "<string>",
            "rate_name": "<string>",
            "rate_type": "<string>",
            "tax_treatment": "<string>"
          }
        }
      ],
      "company_id": 123,
      "company_name": "<string>",
      "company_currency": "<string>",
      "customer_id": 123,
      "customer_name": "<string>",
      "account_number": 123,
      "amount": "<string>",
      "memo": "<string>",
      "bill_to_address": "<string>",
      "ship_to_address": "<string>",
      "check_number": "<string>",
      "date": "2023-12-25",
      "transaction_date": "2023-12-25",
      "exchange_rate": "<string>",
      "bank_or_undeposited_account_amount": "<string>",
      "custom_fields": [],
      "attachments": [],
      "classifications": [],
      "created_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "updated_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "billing_address": {
        "street": "<string>",
        "city": "<string>",
        "postal_code": "<string>",
        "state": "",
        "country": "",
        "second_line": "",
        "name": "<string>"
      },
      "shipping_address": {
        "street": "<string>",
        "city": "<string>",
        "postal_code": "<string>",
        "state": "",
        "country": "",
        "second_line": "",
        "name": "<string>"
      },
      "payment_method_id": 123
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

search
string | null
company_id
integer[] | null
number
integer[] | null
customer_id
integer[] | null
start_date
string<date> | null
end_date
string<date> | null
transaction_currency
enum<string> | null
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
record_status
enum<string>[] | null
Available options:
draft,
posted,
archived
ordering
string | null
default:id
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
PublicCashSaleSchemaOut · object[]
required
count
integer
required
Last modified on May 28, 2026